//
//  JSSStimulus.h
//  Pintoresco
//
//  Created by jsainz on 11/11/13.
//  Copyright (c) 2013 Javier Sainz. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface JSSStimulus : NSObject {
    NSInteger atIndex;
    char category;
    NSMutableString *pictureCode;
    NSString *test;
    NSInteger nItem;
    double latency;
    NSInteger error;
}
/* */
@property (nonatomic) NSInteger atIndex;
@property (nonatomic)char category;
@property (nonatomic, strong) NSMutableString *pictureCode;
@property (nonatomic) NSString *test;
@property (nonatomic) NSInteger nItem;
@property (nonatomic) double latency;
@property (nonatomic) NSInteger error;

+ (JSSStimulus*) aStimulus;

- (id) initStimulus: (char)i picture: (NSMutableString*)j;

- (NSMutableArray*)arrayOfItems;

- (void)itemToString:(NSMutableArray*)item;

- (void)writeStringToFile:(NSString*)aString;

- (NSString*)readStringFromFile;

@end

/* Serie de 4 patrones de estímulo de categoría A/B */
@interface JSSMigration : JSSStimulus {
    NSMutableArray *mSeries;
    
}
@property (nonatomic, strong) NSMutableArray *mSeries;

+ (JSSMigration*)aStimulus;

- (id)initWithName: (char)aCategory : (NSMutableString*)aPictureCode;

- (NSMutableArray*)createMigrations;

@end

