//
//  JSSInfoView.h
//  Pintoresco
//
//  Created by jsainz on 13/11/13.
//  Copyright (c) 2013 Javier Sainz. All rights reserved.
//

#define NSLog(FORMAT, ...) printf("%s\n", [[NSString stringWithFormat:FORMAT, ##__VA_ARGS__] UTF8String]);

#import <UIKit/UIKit.h>
#import "JSSDataView.h"

@interface JSSInfoView : UIViewController<UITextFieldDelegate,UINavigationControllerDelegate, UIImagePickerControllerDelegate> {
    UILabel *name;
    NSString *fromData;
    NSString *fromTable;
    NSMutableArray *infoUser;
    NSMutableArray *infoInfoUser;
    NSMutableArray *summary;
}

@property (nonatomic, strong) UILabel *name;

@property (nonatomic, strong) NSString *fromData;
@property (nonatomic, strong) NSString *fromTable;
@property (strong, nonatomic) NSMutableArray *infoUser;
@property (strong, nonatomic) NSMutableArray *infoInfoUser;
@property (strong, nonatomic) NSMutableArray *summary;

- (NSMutableString*)doLabel:(int)i;

- (IBAction)setCriteria:(id)sender;

@end
