//
//  JSSMainView.h
//  Pintoresco
//
//  Created by Javier Sainz on 05/11/13.
//  Copyright (c) 2013 Javier Sainz. All rights reserved.
//

#define NSLog(FORMAT, ...) printf("%s\n", [[NSString stringWithFormat:FORMAT, ##__VA_ARGS__] UTF8String]);

#import <UIKit/UIKit.h>
#import <MessageUI/MessageUI.h>
#import <MessageUI/MFMailComposeViewController.h>
#import "JSSAppDelegate.h"
#import "JSSUtils.h"
#import "JSSDataView.h"
#import "JSSTableView.h"

@interface JSSMainView : UIViewController <UITextFieldDelegate, MFMailComposeViewControllerDelegate> {
    UILabel *name;
    NSString *fromData;
    NSMutableArray *mainUser;
    NSMutableArray *mainInfoUser;
    NSMutableArray *summary;
    
    UITableViewController <NSFetchedResultsControllerDelegate> *coreDataController;
}

@property (nonatomic, strong) UILabel *name;
@property (nonatomic, strong) NSString *fromData;
@property (nonatomic, strong) NSMutableArray *mainUser;
@property (nonatomic, strong) NSMutableArray *mainInfoUser;
@property (nonatomic, strong) NSMutableArray *summary;

@property (nonatomic, strong) NSManagedObjectContext *managedObjectContext;

- (NSMutableString*)doLabel:(int)i;

- (IBAction)SendMessage:(id)sender;

- (IBAction)CollectData:(id)sender;

- (BOOL)textFieldShouldReturn:(UITextField *)textField;

@end
